(function($) {
    'use strict';
    $(window).on('load', function() {
        $('.loader').fadeOut(200);
        $('.line').addClass('active');
    });
    $('.navbar-nav ul li a').on('click', function() {
        var target = $(this.hash);
        if (target.length) {
            $('html,body').animate({
                scrollTop: (target.offset().top)
            }, 1000);
            $('body').removeClass('menu-is-opened').addClass('menu-is-closed');
            return false;
        }
    });
    if ($('#pagepiling').length > 0) {
        $('#pagepiling').pagepiling({
            scrollingSpeed: 280,
            navigation: false,
            menu: '.slides-menu',
            anchors: ['slide-1', 'slide-2', 'slide-3'],
            afterLoad: function(anchorLink, index) {
                $('.pp-section .intro').removeClass('animate');
                $('.active .intro').addClass('animate');
            }
        });
    }
    $('.toggler').on('click', function() {
        $('body').addClass('menu-is-open');
    });
    $('.close, .click-capture').on('click', function() {
        $('body').removeClass('menu-is-open');
    });
    $('.navbar-nav-mobile li a').on('click', function() {
        $('body').removeClass('menu-is-open');
        $('.navbar-nav-mobile li a').removeClass('active');
        $(this).addClass('active');
    });
    $('.popup-youtube').magnificPopup({
        disableOn: 700,
        type: 'iframe',
        mainClass: 'mfp-fade',
        removalDelay: 160,
        preloader: false,
        fixedContentPos: false
    });
    $('.project-box').on('mouseover', function() {
        var index = $('.project-box').index(this);
        $('.bg-changer .section-bg').removeClass('active').eq(index).addClass('active');
    });
    $('.carousel-experience').owlCarousel({
        loop: true,
        margin: 45,
        dots: true,
        nav: true,
        smartSpeed: 1000,
        items: 1
    });
    $('.carousel-testimonials').owlCarousel({
        loop: true,
        margin: 10,
        nav: true,
        dots: false,
        items: 1
    });
    if ($('.js-ajax-form').length) {
        $('.js-ajax-form').each(function() {
            $(this).validate({
                errorClass: 'error',
                submitHandler: function(form) {
                    $.ajax({
                        type: "POST",
                        url: "mail.php",
                        data: $(form).serialize(),
                        success: function() {
                            $('#success-message').show();
                        },
                        error: function() {
                            $('#error-message').show();
                        }
                    });
                }
            });
        });
    }
})(jQuery);